[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator -(Tmatrix2_single, single): Tmatrix2_single

Subtract scalar to two-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 593

`operator operator -(Tmatrix2_single, single): Tmatrix2_single(`
`const m: Tmatrix2_single;`
`const x: single`
`):Tmatrix2_single;`

## Description

This operator allows you to subtract a scalar value from a matrix. The scalar is subtracted from all elements of the matrix, the result is returned as a new matrix.

Documentation generated on: Feb 26 2014